diff tests/runtest @ 1595:628433c343b4

Fixed DStress tests nocompile/c/{const_32_B.d,const_32_C.d}. Updated the runtest script to build libtangobos-partial.a if it hasn't already been built. Added in signbit() and va_arg!()() to libtangobos-partial.a so more of the phobos dependent DStress tests pass.
author Robert Clipsham <robert@octarineparrot.com>
date Sun, 08 Nov 2009 16:16:17 +0000
parents 6f5e40205f2a
children 42fc0d955a0d
line wrap: on
line diff
--- a/tests/runtest	Sat Nov 07 14:21:56 2009 +0000
+++ b/tests/runtest	Sun Nov 08 16:16:17 2009 +0000
@@ -7,6 +7,14 @@
 fi
 TARGETFILE=$1
 
+# check for libtangobos-partial
+if ! [ -f testincludes/libtangobos-partial.a ] ; then
+    echo "Could not find libtangobos-partial.a, attempting to build."
+    cd testincludes
+    make
+    cd ..
+fi
+
 # check for dstress
 if ! [ -d dstress ] ; then
     echo "Testing requires DStress to be checked out into dstress/"